import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';

import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

if (environment.production) {
  enableProdMode();
}

Cesium.buildModuleUrl.setBaseUrl('./assets/cesium/Build/Cesium/');
// tslint:disable-next-line: max-line-length
Cesium.Ion.defaultAccessToken = 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJlYzY3ZWMwNi00OGNkLTQ5MWUtOTUyYy05Nzk3YWU5Njg2YmIiLCJpZCI6MTQ3NjcsInNjb3BlcyI6WyJhc3IiLCJnYyJdLCJpYXQiOjE1NjYzMTE1Mjh9.iI2yOydFdlu0fLAyWqbTL399gNrnS_l-LAVXarKdLv8';

// tslint:disable-next-line
window['SMART3D_BASE_URL'] = './assets/smart3d/dist/smart3d/';

platformBrowserDynamic().bootstrapModule(AppModule)
  .catch(err => console.error(err));
